/*
 * Data types and API prototypes that are shared between voicemngr and asterisk-chan-voicemngr
 */
#ifndef __VOICE_TYPES_H
#define __VOICE_TYPES_H

#define RTP_HEADER_SIZE    12

typedef enum callid_state {
	CALLID_INVALID = -1,
	CALLID_OBTAINING = 0,
	CALLID_ESTABLISHED = 1
} callid_state;

struct __attribute__((__packed__)) media_packet_t {
	int32_t  line;
	int32_t  connection_id;
	uint32_t rtp_size;
	uint8_t  rtp[1];
};
typedef struct __attribute__((__packed__)) media_packet_t audio_packet_t;//used for asterisk-chan-voicemngr

// ubus request for set codec
enum VOICE_CODEC {
	VOICE_CODEC_G711U,
	VOICE_CODEC_G711A,
	VOICE_CODEC_G722,
	VOICE_CODEC_G723,
	VOICE_CODEC_G726,
	VOICE_CODEC_G729,
};

#define UBUS_DATA_CODEC_BIT  1
#define UBUS_DATA_PTIME_BIT  (1<<1)
struct config_update_struct {
	uint8_t mask; // 8 bit mask
	enum VOICE_CODEC codec;
	int ptime;
	// add more if needed
};

#endif
